Create sign request from a templateAsk AIpost https://api.docmadeeasy.com/rest/envelope/create/{templateId}Creates and sends a new sign request from a template. JSFiddle Playground Path ParamstemplateIdstringrequiredID of template. You can find it on admin page: Body Paramsrecipientsarray of objectsrequiredThe list of recipients you're sending the document to. The ID or email are required. If the ID is passed, an existing recipient will be updated. If the email is passed, a new recipient will be added to CC.recipients*ADD objectfilefileA PDF file to be used to replace the template document. Make sure the PDF file has the same number of pages as the document in template.testModebooleanrequiredDefaults to falseIf it's in test modetruefalseallowReassignbooleanDefaults to trueAllows signers to reassign their signature requests to other signers if set to true.truefalseallowDeclinebooleanDefaults to trueAllows signers to decline to sign a document if true.truefalseredirectUrlurlRedirect URL after signer finishes signing.deliverEmailbooleanrequiredDefaults to trueTrue by default, so email notifications will be sent by our servers. If false, no email will be sent and you are responsible for sending out email notifications.truefalselinkExpirestringrequiredDefaults to 5Link expire time, in minutes.messageblobrequiredDefaults to Hello {{recipient_name}}, {{sender_name}} has sent you a new document to view and sign. Please click on the link to begin signing.( <= 5000 characters ) Body of the email.Hello {{recipient_name}}, {{sender_name}} has sent you a new document to view and sign. Please click on the link to begin signing.subjectstringrequiredDefaults to Please sign the document.( <= 255 characters ) Subject of the email. Responses 200successful operation 400Invalid requestUpdated over 3 years ago